# script Data Type

This class represents a simple script that can run on a provisioned VM.

Namespace
  (Default)
Schema
  ns0.xsd

Properties
name | data type | type | namespace | min/max occurs | description
--- | --- | --- | --- | --- | ---
contents | string | element |  | 0/1 | The contents of the script
name | string | element |  | 0/1 | The name of the script
##### Properties inherited from ownedObject
owner | string | element |  | 0/1 | The owner (username) for the particular object. This value is set when the DAO saves the object based on the principal who made the call. It is created automatically. No need to set during a POST

Example

    <s----->
      <name>config.sh</name>
      <contents>    #!/bin/bash
    echo "Reading system-wide config...." &gt;&amp;2\n. /etc/cool.cfg
    if [ -r ~/.coolrc ]; then
      echo "Reading user config...." &gt;&amp;2\n  . ~/.coolrc\nfi</contents>
      <owner>user1</owner>
    </s----->